%global pkgvers 0
%global scdate0 20240215
%global schash0 6f65661db8c6f3178da92eef400837669139e645
%global branch0 master
%global source0 https://github.com/csete/gqrx.git

%global sshort0 %{expand:%%{lua:print(('%{schash0}'):sub(1,8))}}

Name:           gqrx
Version:        2.17.4
Release:        %{scdate0}.%{pkgvers}.git%{sshort0}%{?dist}
Summary:        Gqrx is an open source software defined radio
License:        Apache 2.0

URL:            https://gqrx.dk

BuildRequires:  gcc-c++ cmake git pkgconfig python3 fftw-devel
BuildRequires:  libsndfile-devel gmp-devel gr-osmosdr-devel
BuildRequires:  jack-audio-connection-kit-devel portaudio-devel
BuildRequires:  volk-devel boost-devel alsa-lib-devel gnuradio-devel
BuildRequires:  spdlog-devel qt5-qtbase-devel qt5-qtsvg-devel pulseaudio-libs-devel

%define __cmake_in_source_build 1

%description
Gqrx is an open source software defined radio.


%prep
%setup -T -c -n %{name}
git clone --depth 1 -n -b %{branch0} %{source0} .
git fetch --depth 1 origin %{schash0}
git reset --hard %{schash0}
git log --format=fuller


%build
mkdir -p build
pushd build
%cmake -Wno-dev .. \
       -DCMAKE_SKIP_RPATH=ON \
       -DCMAKE_VERBOSE_MAKEFILE=OFF \
       -DCMAKE_BUILD_TYPE=RelWithDebInfo
%make_build
popd


%install
rm -rf %{buildroot}
pushd build
%make_install
popd


%files
%doc README.md
%license COPYING
%{_bindir}/*
%{_datadir}/applications/*
%{_datadir}/icons/*
%{_datadir}/metainfo/*


%changelog
* Tue Aug 25 2020 Balint Cristian <cristian.balint@gmail.com>
- github update releases
